plugins {
    kotlin("jvm")
    `maven-publish`
}

val ioVersion: String by project
val projectGroup: String by project
val specifyKotlinAsDependency: String by project

group = projectGroup
version = ioVersion

repositories {
    mavenCentral()
}

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")
    implementation(project(":core"))
}

tasks.test {
    useJUnitPlatform()
}

kotlin {
    jvmToolchain(17)
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])

            pom {
                dependencies {
                    if (specifyKotlinAsDependency.toBoolean()) implementation(kotlin("stdlib"))
                    implementation(project(":core"))
                }
            }
        }
    }
}
