
plugins {
    kotlin("jvm")
}

val linearAlgebraVersion: String by project
val specifyKotlinAsDependency: String by project

version = linearAlgebraVersion

repositories {
    mavenCentral()
}

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")

    implementation(project(":collect"))
    implementation(project(":math"))
    implementation(project(":core"))
}

tasks.test {
    useJUnitPlatform()
}

kotlin {
    jvmToolchain(17)
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])

            pom {
                dependencies {
                    if (specifyKotlinAsDependency.toBoolean()) implementation(kotlin("stdlib"))

                    implementation(project(":collect"))
                    implementation(project(":math"))
                    implementation(project(":core"))
                }
            }
        }
    }
}
